import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/open/home/mobile/proposer/list',
    method:'get',
    params:data
  })
}
// 查询用地建房申请公示列表
export function getGsList(query) {
  return request({
    url: '/home/homeapplyydjfsq/gsList',
    method: 'get',
    params: query
  })
}
//获取申请单明细
export function allInformation(id){
  return request({
    url:'/home/allinformation/'+id,
    method:'get',
  })
}

// 获取用地建房申请证书
export function getCertificate(id) {
  return request({
    url: '/home/homeapplyydjfsq/certificate/' + id,
    method: 'get'
  })
}

//获取申请单明细
export function allInformationAnnounce(id){
  return request({
    url:'/home/allinformation/'+id+'?type=announce',
    method:'get',
  })
}

//获取文件配置
export function treeSingleProcessView(data){
  return request({
    url:'/open/home/mobile/treeSingleProcessView',
    method:'get',
    params:data
  })
}

//获取上传附件
export function attachmentFind(data){
  return request({
    url:'/open/home/mobile/find',
    method:'get',
    params:data
  })
}

//保存申请
export function saveHomeBaseInfo(data){
  return request({
    url:'/open/home/mobile/saveHomeBaseInfo',
    method:'post',
    data:data
  })
}

//提交申请
export function saveHouseBaseInfoThenSubmit(data){
  return request({
    url:'/home/custom/saveHouseBaseInfoThenSubmit',
    method:'post',
    data:data
  })
}

//同意审批
export function agreeApply(data){
  return request({
    url:'/open/home/mobile/agreeApply',
    method:'post',
    data:data
  })
}

//驳回审批
export function rejectApply(data){
  return request({
    url:'/open/home/mobile/rejectApply',
    method:'post',
    data:data
  })
}

//上传图片
export function attach(data){
  console.log(data)
  return request({
    url:'/common/attach',
    method:'post',
    header: { "Content-Type": 'application/x-www-form-urlencoded' },
    data:data
  })
}
//批量上传图片
export function attachs(data){
  return request({
    url:'/common/attachs',
    method:'post',
    header: { "Content-Type": 'application/x-www-form-urlencoded' },
    data:data
  })
}
//删除列表项
export function removeList(id){
  return request({
    url:'/open/home/mobile/proposer/remove/'+id,
    method:'get'
  })
}

//删除附件
export function removeFile(id){
  return request({
    url:'/open/home/mobile/fileRemove/'+id,
    method:'get'
  })
}

//获取户主信息
export function getHomeMembers(data){
  return request({
    url:'/open/home/mobile/getHomeMembers',
    method:'get',
    params:data
  })
}

//获取申请单明细 WLHT
export function allInformationWLHT(id){
  return request({
    url:'/open/home/mobile/getYdjfsq/'+id,
    method:'get',
  })
}

// 查询文件配置树
export function getAttachmentConfigTree(query) {
  return request({
    url: '/open/home/mobile/getAttachmentConfigTree',
    method: 'get',
    params: query
  })
}

// 新增地房申请-申请人
export function addProposer(data) {
  return request({
    url: '/home/custom/saveHouseBaseInfo',
    method: 'post',
    data: data
  })
}

//检查是否重复建房
export function checkDuplicateBuilding(query) {
  return request({
    url: '/open/home/mobile/checkDuplicateBuilding',
    method: 'get',
    params: query
  })
}

// 查询农房户型列表
export function listHomeapplytype(query) {
  return request({
    url: '/open/home/mobile/tytzList',
    method: 'get',
    params: query
  })
}
//查询宅地信息
export function checkDuplicateBuildingQuery(idcard) {
  return request({
    url: '/open/home/mobile/applyDetail/' + idcard,
    method: 'get'
  })
}

//乌兰浩特申请单人操作
export function customSubmitWLHT(id) {
  return request({
    url: '/open/home/mobile/publish/' + id,
    method: 'post'
  })
}
// 新增地房申请-开工申请
export function submitStartWLHT(id) {
  return request({
    url: '/open/home/mobile/publishStart/'+id,
    method: 'post',
  })
}

// 修改地房申请-开工申请
export function updateStart(data) {
  return request({
    url: '/home/start/edit',
    method: 'post',
    data: data
  })
}

// 提交地房申请-验收意见(乌兰浩特 简化流程)
export function submitEndWLHT(id) {
  return request({
    url: '/open/home/mobile/publishCheck/'+id,
    method: 'post',
  })
}
// 获取用地建房申请状态信息
export function getHomeapplyydjfsqStatus(id) {
  return request({
    url: '/open/home/mobile/homeApplyStatus/' + id,
    method: 'get'
  })
}
//查询当前登录账号坐标
export function getQueryLand(id) {
  return request({
    url: '/open/home/mobile/get/current/' + id,
    method: 'get'
  })
}

//查询当前登录账号坐标
export function getWorkflow(deptId) {
  return request({
    url: '/open/home/mobile/workflow?deptId='+deptId,
    method: 'get'
  })
}
// 查询农户信息
export function selectProposerNh(data) {
  return request({
    url: '/open/home/mobile/queryHomeBaseNh' ,
    method: 'get',
    params: data
  })
}
//驳回提交清空历史审批记录
export function updateOpretion(id) {
  return request({
    url: '/home/custom/updateOpretion/' + id,
    method: 'post'
  })
}
